Package org.wildfly.plugin.core

## Class PluginProgressTracker<T>

- java.lang.Object
- - org.wildfly.plugin.core.PluginProgressTracker<T>

- All Implemented Interfaces:
    `org.jboss.galleon.progresstracking.ProgressCallback<T>`

      @Deprecated(forRemoval=true)
      public class PluginProgressTracker<T>
      extends Object
      implements org.jboss.galleon.progresstracking.ProgressCallback<T>

  Deprecated, for removal: This API element is subject to removal in a future version.
  moved to new https://github.com/wildfly/wildfly-plugin-tools project
  Author:
    jdenise@redhat.com

- - ### Field Summary

    - ### Fields inherited from interface org.jboss.galleon.progresstracking.ProgressCallback

      `DEFAULT_PROGRESS_PULSE_PCT, DEFAULT_PULSE_INTERVAL_MS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `complete​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `static void` | `initTrackers​(org.jboss.galleon.ProvisioningManager pm, org.apache.maven.plugin.logging.Log log)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `processed​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `processing​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `pulse​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `starting​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)` | Deprecated, for removal: This API element is subject to removal in a future version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.galleon.progresstracking.ProgressCallback

      `getMaxPulseIntervalMs, getMinPulseIntervalMs, getProgressPulsePct`

- - ### Method Detail

    - #### starting

          public void starting​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `starting` in interface `org.jboss.galleon.progresstracking.ProgressCallback<T>`

    - #### processing

          public void processing​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `processing` in interface `org.jboss.galleon.progresstracking.ProgressCallback<T>`

    - #### processed

          public void processed​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `processed` in interface `org.jboss.galleon.progresstracking.ProgressCallback<T>`

    - #### pulse

          public void pulse​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `pulse` in interface `org.jboss.galleon.progresstracking.ProgressCallback<T>`

    - #### complete

          public void complete​(org.jboss.galleon.progresstracking.ProgressTracker<T> tracker)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `complete` in interface `org.jboss.galleon.progresstracking.ProgressCallback<T>`

    - #### initTrackers

          public static void initTrackers​(org.jboss.galleon.ProvisioningManager pm,
                                          org.apache.maven.plugin.logging.Log log)

      Deprecated, for removal: This API element is subject to removal in a future version.